BeanInfoHelper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.beans
Class BeanInfoHelper

    java.lang.Object
      org.hibernate.internal.util.beans.BeanInfoHelper

    public class BeanInfoHelper

extends Object

Utility for helping deal with `BeanInfo`

Nested Class Summary
`static interface` | `BeanInfoHelper.BeanInfoDelegate`

Constructor Summary
`BeanInfoHelper(Class beanClass)`
`BeanInfoHelper(Class beanClass, Class stopClass)`

Method Summary
`void` | `applyToBeanInfo(Object bean, BeanInfoHelper.BeanInfoDelegate delegate)`
`static void` | `visitBeanInfo(Class beanClass, BeanInfoHelper.BeanInfoDelegate delegate)`
`static void` | `visitBeanInfo(Class beanClass, Class stopClass, BeanInfoHelper.BeanInfoDelegate delegate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanInfoHelper

    public BeanInfoHelper(Class beanClass)

### BeanInfoHelper

    public BeanInfoHelper(Class beanClass,
                          Class stopClass)

Method Detail

### applyToBeanInfo

    public void applyToBeanInfo(Object bean,
                                BeanInfoHelper.BeanInfoDelegate delegate)

### visitBeanInfo

    public static void visitBeanInfo(Class beanClass,
                                     BeanInfoHelper.BeanInfoDelegate delegate)

### visitBeanInfo

    public static void visitBeanInfo(Class beanClass,
                                     Class stopClass,
                                     BeanInfoHelper.BeanInfoDelegate delegate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.